[Plugin] CenterPointAll.rb

Re: [Plugin] CenterPointAll.rb

Postby kachupp » Sat Jan 04, 2020 10:26 pm

For those who dislike using the plugin (Extensions) menu I've modified TIGs version to use
the context menu. I find it much faster than moving the mouse all the way too
the top menu bar click and click.

pick, right click, click "Point at Center" done.

Code: Select all
UI.add_context_menu_handler {|menu|
   menu.add_item("Point at Center") {
     model=Sketchup.active_model
     entities=model.active_entities
     selection=model.selection
     model.start_operation("Add Centerpoint")
     selection.to_a.each{|e|entities.add_cpoint(e.bounds.center)}
     model.commit_operation
 }
}
0
User avatar
kachupp 
 

SketchUcation One-Liner Adverts

by Ad Machine » 5 minutes ago



Ad Machine 
Robot
 

Previous


 

Return to Plugins

Who is online

Users browsing this forum: Cgateeeeee, martins, sharifaab and 21 guests

Visit our sponsors: